curl --request GET \
--url https://api-sb.meld.io/bank-linking/investments/transactions/{investmentTransactionId} \
--header 'Authorization: <api-key>'import requests
url = "https://api-sb.meld.io/bank-linking/investments/transactions/{investmentTransactionId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api-sb.meld.io/bank-linking/investments/transactions/{investmentTransactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accountId": "<string>",
"amount": 123,
"connectionIds": [
"<string>"
],
"costBasis": 123,
"currency": "<string>",
"customerId": "<string>",
"description": "<string>",
"externalCustomerId": "<string>",
"financialAccountId": "<string>",
"id": "<string>",
"key": "<string>",
"postedDate": "2023-11-07T05:31:56Z",
"quantity": 123,
"serviceProviderDetails": [
{}
],
"status": "PENDING",
"symbol": "<string>",
"transactionDate": "2023-11-07T05:31:56Z",
"type": "SELL"
}""Get a financial account investment transaction
Use this endpoint to retrieve investment transaction information of a specific financial account investment transaction.
Authorizations
Headers
Dated API version to use for this request, e.g. 2026-02-03.
"2026-02-03"
Path Parameters
Investment Transaction id
Response
Financial account investment transaction is returned
The unique identifier of your account with Meld. This id will be the same for all calls to Meld endpoints made from this account.
Amount
Ids of connections used to load data for this transaction
Original total value
Currency
Meld generated unique identifier for your customer. This should be used to track customer activity.
Description
Your unique identifier for your customer. If maintaining your own customer management system this can also be used for tracking customer activity.
Financial Account id
The id of the financial account investment transaction
When this financial account investment transaction is part of a paginated list, this key represents its position in the list
Posted date
Total quantity held
Raw service provider details for the service provider investment transaction(s) associated with this Financial Account Investment Transaction. The raw format varies by service provider, but each result will always contain a serviceProvider field and an updatedAt field. Results are ordered by updatedAt, with the most recent result at the start of the list, and the oldest at the bottom.
Show child attributes
Show child attributes
Status
PENDING, POSTED Security identifier. Will be the trading symbol if for publicly traded securities.
Transaction date
Transaction Type
SELL, BUY, CANCEL, CASH, OTHER, TRANSFER